from app.models import Corpus, CorpusFile


def delete_corpus_(app, corpus_id):
    with app.app_context():
        corpus = Corpus.query.get(corpus_id)
        if corpus is None:
            raise Exception('Corpus {} not found!'.format(corpus_id))
        corpus.delete()


def delete_corpus_file_(app, corpus_file_id):
    with app.app_context():
        corpus_file = CorpusFile.query.get(corpus_file_id)
        if corpus_file is None:
            raise Exception('Corpus file {} not found!'.format(corpus_file_id))
        corpus_file.delete()


def edit_corpus_file_(app, corpus_file_id):
    with app.app_context():
        corpus_file = CorpusFile.query.get(corpus_file_id)
        if corpus_file is None:
            raise Exception('Corpus file {} not found!'.format(corpus_file_id))
        corpus_file.insert_metadata()
